<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\MassDestroyReportbaruRequest;
use App\Http\Requests\StoreReportbaruRequest;
use App\Http\Requests\UpdateReportbaruRequest;
use Gate;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class ReportbaruController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('reportbaru_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.reportbarus.index');
    }

    public function create()
    {
        abort_if(Gate::denies('reportbaru_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.reportbarus.create');
    }

    public function store(StoreReportbaruRequest $request)
    {
        $reportbaru = Reportbaru::create($request->all());

        return redirect()->route('admin.reportbarus.index');
    }

    public function edit(Reportbaru $reportbaru)
    {
        abort_if(Gate::denies('reportbaru_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.reportbarus.edit', compact('reportbaru'));
    }

    public function update(UpdateReportbaruRequest $request, Reportbaru $reportbaru)
    {
        $reportbaru->update($request->all());

        return redirect()->route('admin.reportbarus.index');
    }

    public function show(Reportbaru $reportbaru)
    {
        abort_if(Gate::denies('reportbaru_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.reportbarus.show', compact('reportbaru'));
    }

    public function destroy(Reportbaru $reportbaru)
    {
        abort_if(Gate::denies('reportbaru_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $reportbaru->delete();

        return back();
    }

    public function massDestroy(MassDestroyReportbaruRequest $request)
    {
        $reportbarus = Reportbaru::find(request('ids'));

        foreach ($reportbarus as $reportbaru) {
            $reportbaru->delete();
        }

        return response(null, Response::HTTP_NO_CONTENT);
    }
}
