<?php

namespace App\Http\Controllers\Api\V1\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\StoreMaklumatRakanUsahasamaRequest;
use App\Http\Requests\UpdateMaklumatRakanUsahasamaRequest;
use App\Http\Resources\Admin\MaklumatRakanUsahasamaResource;
use App\Models\MaklumatRakanUsahasama;
use Gate;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class MaklumatRakanUsahasamaApiController extends Controller
{
    public function index()
    {
        abort_if(Gate::denies('maklumat_rakan_usahasama_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return new MaklumatRakanUsahasamaResource(MaklumatRakanUsahasama::all());
    }

    public function store(StoreMaklumatRakanUsahasamaRequest $request)
    {
        $maklumatRakanUsahasama = MaklumatRakanUsahasama::create($request->all());

        return (new MaklumatRakanUsahasamaResource($maklumatRakanUsahasama))
            ->response()
            ->setStatusCode(Response::HTTP_CREATED);
    }

    public function show(MaklumatRakanUsahasama $maklumatRakanUsahasama)
    {
        abort_if(Gate::denies('maklumat_rakan_usahasama_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return new MaklumatRakanUsahasamaResource($maklumatRakanUsahasama);
    }

    public function update(UpdateMaklumatRakanUsahasamaRequest $request, MaklumatRakanUsahasama $maklumatRakanUsahasama)
    {
        $maklumatRakanUsahasama->update($request->all());

        return (new MaklumatRakanUsahasamaResource($maklumatRakanUsahasama))
            ->response()
            ->setStatusCode(Response::HTTP_ACCEPTED);
    }

    public function destroy(MaklumatRakanUsahasama $maklumatRakanUsahasama)
    {
        abort_if(Gate::denies('maklumat_rakan_usahasama_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $maklumatRakanUsahasama->delete();

        return response(null, Response::HTTP_NO_CONTENT);
    }
}
