<?php

namespace App\Http\Requests;

use App\Models\MaklumatRakanUsahasama;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Symfony\Component\HttpFoundation\Response;

class MassDestroyMaklumatRakanUsahasamaRequest extends FormRequest
{
    public function authorize()
    {
        abort_if(Gate::denies('maklumat_rakan_usahasama_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:maklumat_rakan_usahasamas,id',
        ];
    }
}
