<?php

namespace App\Http\Requests;

use App\Models\RekodPulangan;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Symfony\Component\HttpFoundation\Response;

class MassDestroyRekodPulanganRequest extends FormRequest
{
    public function authorize()
    {
        abort_if(Gate::denies('rekod_pulangan_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return true;
    }

    public function rules()
    {
        return [
            'ids'   => 'required|array',
            'ids.*' => 'exists:rekod_pulangans,id',
        ];
    }
}
