<?php

namespace App\Http\Requests;

use App\Models\MaklumatPerunding;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreMaklumatPerundingRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('maklumat_perunding_create');
    }

    public function rules()
    {
        return [
            'nama_syarikat_perunding_arkitek' => [
                'string',
                'required',
            ],
            'nama_syarikat_perunding_sivil_struktur' => [
                'string',
                'required',
            ],
            'nama_syarikat_perunding_mekanikal_elektrikal' => [
                'string',
                'nullable',
            ],
            'nama_syarikat_perunding_juru_ukur_tanah' => [
                'string',
                'nullable',
            ],
            'nama_syarikat_perunding_juru_ukur_bahan' => [
                'string',
                'nullable',
            ],
            'nama_syarikat_perunding_arkitek_landskap' => [
                'string',
                'nullable',
            ],
        ];
    }
}
