<?php

namespace App\Http\Requests;

use App\Models\MaklumatRakanUsahasama;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreMaklumatRakanUsahasamaRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('maklumat_rakan_usahasama_create');
    }

    public function rules()
    {
        return [
            'nama_syarikat' => [
                'string',
                'required',
            ],
            'tarikh_perjanjian_asal' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'tarikh_perjanjian_tambahan' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
        ];
    }
}
