<?php

namespace App\Http\Requests;

use App\Models\KategoriBilangan;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateKategoriBilanganRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('kategori_bilangan_edit');
    }

    public function rules()
    {
        return [
            'bilangan' => [
                'required',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
        ];
    }
}
