<?php

namespace App\Http\Requests;

use App\Models\KomponenPembangunan;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateKomponenPembangunanRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('komponen_pembangunan_edit');
    }

    public function rules()
    {
        return [
            'gambaran_komponen' => [
                'array',
            ],
            'gambar_semasa_projek' => [
                'array',
            ],
            'komponen' => [
                'string',
                'required',
            ],
            'keluasan_lot' => [
                'string',
                'required',
            ],
            'keluasan_bangunan' => [
                'string',
                'required',
            ],
            'jumlah_unit' => [
                'nullable',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
        ];
    }
}
