<?php

namespace App\Http\Requests;

use App\Models\MaklumatProject;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateMaklumatProjectRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('maklumat_project_edit');
    }

    public function rules()
    {
        return [
            'lot' => [
                'string',
                'min:1',
                'max:10',
                'required',
                'unique:maklumat_projects,lot,' . request()->route('maklumat_project')->id,
            ],
            'mukim' => [
                'string',
                'required',
            ],
            'daerah' => [
                'required',
            ],
            'keluasan' => [
                'string',
                'required',
            ],
            'tarikh_pa' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'pelan_kunci' => [
                'array',
            ],
            'pelan_lokasi' => [
                'array',
            ],
        ];
    }
}
