<?php

namespace App\Http\Requests;

use App\Models\RekodPulangan;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateRekodPulanganRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('rekod_pulangan_edit');
    }

    public function rules()
    {
        return [
            'perkara' => [
                'required',
            ],
            'tarikh' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'tarikh_bayaran' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
        ];
    }
}
