<?php

namespace App\Http\Requests;

use App\Models\TempohPerlaksanaanProjek;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateTempohPerlaksanaanProjekRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('tempoh_perlaksanaan_projek_edit');
    }

    public function rules()
    {
        return [
            'perkara_pembangunan' => [
                'string',
                'nullable',
            ],
            'tarikh_mula' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
            'anggaran_tarikh_siap' => [
                'required',
                'date_format:' . config('panel.date_format'),
            ],
        ];
    }
}
