<?php

namespace App\Models;

use App\Traits\Auditable;
use DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class MaklumatPerunding extends Model
{
    use SoftDeletes, Auditable, HasFactory;

    public $table = 'maklumat_perundings';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'nama_syarikat_perunding_arkitek',
        'nama_syarikat_perunding_sivil_struktur',
        'nama_syarikat_perunding_mekanikal_elektrikal',
        'nama_syarikat_perunding_juru_ukur_tanah',
        'nama_syarikat_perunding_juru_ukur_bahan',
        'nama_syarikat_perunding_arkitek_landskap',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
