<?php

namespace Database\Seeders;

use App\Models\Permission;
use Illuminate\Database\Seeder;

class PermissionsTableSeeder extends Seeder
{
    public function run()
    {
        $permissions = [
            [
                'id'    => 1,
                'title' => 'user_management_access',
            ],
            [
                'id'    => 2,
                'title' => 'permission_create',
            ],
            [
                'id'    => 3,
                'title' => 'permission_edit',
            ],
            [
                'id'    => 4,
                'title' => 'permission_show',
            ],
            [
                'id'    => 5,
                'title' => 'permission_delete',
            ],
            [
                'id'    => 6,
                'title' => 'permission_access',
            ],
            [
                'id'    => 7,
                'title' => 'role_create',
            ],
            [
                'id'    => 8,
                'title' => 'role_edit',
            ],
            [
                'id'    => 9,
                'title' => 'role_show',
            ],
            [
                'id'    => 10,
                'title' => 'role_delete',
            ],
            [
                'id'    => 11,
                'title' => 'role_access',
            ],
            [
                'id'    => 12,
                'title' => 'user_create',
            ],
            [
                'id'    => 13,
                'title' => 'user_edit',
            ],
            [
                'id'    => 14,
                'title' => 'user_show',
            ],
            [
                'id'    => 15,
                'title' => 'user_delete',
            ],
            [
                'id'    => 16,
                'title' => 'user_access',
            ],
            [
                'id'    => 17,
                'title' => 'user_alert_create',
            ],
            [
                'id'    => 18,
                'title' => 'user_alert_show',
            ],
            [
                'id'    => 19,
                'title' => 'user_alert_delete',
            ],
            [
                'id'    => 20,
                'title' => 'user_alert_access',
            ],
            [
                'id'    => 21,
                'title' => 'audit_log_show',
            ],
            [
                'id'    => 22,
                'title' => 'audit_log_access',
            ],
            [
                'id'    => 23,
                'title' => 'task_management_access',
            ],
            [
                'id'    => 24,
                'title' => 'task_status_create',
            ],
            [
                'id'    => 25,
                'title' => 'task_status_edit',
            ],
            [
                'id'    => 26,
                'title' => 'task_status_show',
            ],
            [
                'id'    => 27,
                'title' => 'task_status_delete',
            ],
            [
                'id'    => 28,
                'title' => 'task_status_access',
            ],
            [
                'id'    => 29,
                'title' => 'task_tag_create',
            ],
            [
                'id'    => 30,
                'title' => 'task_tag_edit',
            ],
            [
                'id'    => 31,
                'title' => 'task_tag_show',
            ],
            [
                'id'    => 32,
                'title' => 'task_tag_delete',
            ],
            [
                'id'    => 33,
                'title' => 'task_tag_access',
            ],
            [
                'id'    => 34,
                'title' => 'task_create',
            ],
            [
                'id'    => 35,
                'title' => 'task_edit',
            ],
            [
                'id'    => 36,
                'title' => 'task_show',
            ],
            [
                'id'    => 37,
                'title' => 'task_delete',
            ],
            [
                'id'    => 38,
                'title' => 'task_access',
            ],
            [
                'id'    => 39,
                'title' => 'tasks_calendar_access',
            ],
            [
                'id'    => 40,
                'title' => 'maklumat_projek_access',
            ],
            [
                'id'    => 41,
                'title' => 'maklumat_project_create',
            ],
            [
                'id'    => 42,
                'title' => 'maklumat_project_edit',
            ],
            [
                'id'    => 43,
                'title' => 'maklumat_project_show',
            ],
            [
                'id'    => 44,
                'title' => 'maklumat_project_delete',
            ],
            [
                'id'    => 45,
                'title' => 'maklumat_project_access',
            ],
            [
                'id'    => 46,
                'title' => 'rakan_usahasama_perunding_access',
            ],
            [
                'id'    => 47,
                'title' => 'maklumat_rakan_usahasama_create',
            ],
            [
                'id'    => 48,
                'title' => 'maklumat_rakan_usahasama_edit',
            ],
            [
                'id'    => 49,
                'title' => 'maklumat_rakan_usahasama_show',
            ],
            [
                'id'    => 50,
                'title' => 'maklumat_rakan_usahasama_delete',
            ],
            [
                'id'    => 51,
                'title' => 'maklumat_rakan_usahasama_access',
            ],
            [
                'id'    => 52,
                'title' => 'maklumat_perunding_create',
            ],
            [
                'id'    => 53,
                'title' => 'maklumat_perunding_edit',
            ],
            [
                'id'    => 54,
                'title' => 'maklumat_perunding_show',
            ],
            [
                'id'    => 55,
                'title' => 'maklumat_perunding_delete',
            ],
            [
                'id'    => 56,
                'title' => 'maklumat_perunding_access',
            ],
            [
                'id'    => 57,
                'title' => 'tempoh_perlaksanaan_projek_create',
            ],
            [
                'id'    => 58,
                'title' => 'tempoh_perlaksanaan_projek_edit',
            ],
            [
                'id'    => 59,
                'title' => 'tempoh_perlaksanaan_projek_show',
            ],
            [
                'id'    => 60,
                'title' => 'tempoh_perlaksanaan_projek_delete',
            ],
            [
                'id'    => 61,
                'title' => 'tempoh_perlaksanaan_projek_access',
            ],
            [
                'id'    => 62,
                'title' => 'komponen_pembangunan_create',
            ],
            [
                'id'    => 63,
                'title' => 'komponen_pembangunan_edit',
            ],
            [
                'id'    => 64,
                'title' => 'komponen_pembangunan_show',
            ],
            [
                'id'    => 65,
                'title' => 'komponen_pembangunan_delete',
            ],
            [
                'id'    => 66,
                'title' => 'komponen_pembangunan_access',
            ],
            [
                'id'    => 67,
                'title' => 'isu_create',
            ],
            [
                'id'    => 68,
                'title' => 'isu_edit',
            ],
            [
                'id'    => 69,
                'title' => 'isu_show',
            ],
            [
                'id'    => 70,
                'title' => 'isu_delete',
            ],
            [
                'id'    => 71,
                'title' => 'isu_access',
            ],
            [
                'id'    => 72,
                'title' => 'expense_management_access',
            ],
            [
                'id'    => 73,
                'title' => 'expense_category_create',
            ],
            [
                'id'    => 74,
                'title' => 'expense_category_edit',
            ],
            [
                'id'    => 75,
                'title' => 'expense_category_show',
            ],
            [
                'id'    => 76,
                'title' => 'expense_category_delete',
            ],
            [
                'id'    => 77,
                'title' => 'expense_category_access',
            ],
            [
                'id'    => 78,
                'title' => 'income_category_create',
            ],
            [
                'id'    => 79,
                'title' => 'income_category_edit',
            ],
            [
                'id'    => 80,
                'title' => 'income_category_show',
            ],
            [
                'id'    => 81,
                'title' => 'income_category_delete',
            ],
            [
                'id'    => 82,
                'title' => 'income_category_access',
            ],
            [
                'id'    => 83,
                'title' => 'expense_create',
            ],
            [
                'id'    => 84,
                'title' => 'expense_edit',
            ],
            [
                'id'    => 85,
                'title' => 'expense_show',
            ],
            [
                'id'    => 86,
                'title' => 'expense_delete',
            ],
            [
                'id'    => 87,
                'title' => 'expense_access',
            ],
            [
                'id'    => 88,
                'title' => 'income_create',
            ],
            [
                'id'    => 89,
                'title' => 'income_edit',
            ],
            [
                'id'    => 90,
                'title' => 'income_show',
            ],
            [
                'id'    => 91,
                'title' => 'income_delete',
            ],
            [
                'id'    => 92,
                'title' => 'income_access',
            ],
            [
                'id'    => 93,
                'title' => 'expense_report_create',
            ],
            [
                'id'    => 94,
                'title' => 'expense_report_edit',
            ],
            [
                'id'    => 95,
                'title' => 'expense_report_show',
            ],
            [
                'id'    => 96,
                'title' => 'expense_report_delete',
            ],
            [
                'id'    => 97,
                'title' => 'expense_report_access',
            ],
            [
                'id'    => 98,
                'title' => 'pulangan_projek_baru_access',
            ],
            [
                'id'    => 99,
                'title' => 'kategori_bilangan_create',
            ],
            [
                'id'    => 100,
                'title' => 'kategori_bilangan_edit',
            ],
            [
                'id'    => 101,
                'title' => 'kategori_bilangan_show',
            ],
            [
                'id'    => 102,
                'title' => 'kategori_bilangan_delete',
            ],
            [
                'id'    => 103,
                'title' => 'kategori_bilangan_access',
            ],
            [
                'id'    => 104,
                'title' => 'kategori_pihak_create',
            ],
            [
                'id'    => 105,
                'title' => 'kategori_pihak_edit',
            ],
            [
                'id'    => 106,
                'title' => 'kategori_pihak_show',
            ],
            [
                'id'    => 107,
                'title' => 'kategori_pihak_delete',
            ],
            [
                'id'    => 108,
                'title' => 'kategori_pihak_access',
            ],
            [
                'id'    => 109,
                'title' => 'rekod_pulangan_create',
            ],
            [
                'id'    => 110,
                'title' => 'rekod_pulangan_edit',
            ],
            [
                'id'    => 111,
                'title' => 'rekod_pulangan_show',
            ],
            [
                'id'    => 112,
                'title' => 'rekod_pulangan_delete',
            ],
            [
                'id'    => 113,
                'title' => 'rekod_pulangan_access',
            ],
            [
                'id'    => 114,
                'title' => 'reportbaru_create',
            ],
            [
                'id'    => 115,
                'title' => 'reportbaru_edit',
            ],
            [
                'id'    => 116,
                'title' => 'reportbaru_show',
            ],
            [
                'id'    => 117,
                'title' => 'reportbaru_delete',
            ],
            [
                'id'    => 118,
                'title' => 'reportbaru_access',
            ],
            [
                'id'    => 119,
                'title' => 'profile_password_edit',
            ],
        ];

        Permission::insert($permissions);
    }
}
