<div class="m-3">
    @can('pihak_create')
        <div style="margin-bottom: 10px;" class="row">
            <div class="col-lg-12">
                <a class="btn btn-success" href="{{ route('admin.pihaks.create') }}">
                    {{ trans('global.add') }} {{ trans('cruds.pihak.title_singular') }}
                </a>
            </div>
        </div>
    @endcan
    <div class="card">
        <div class="card-header">
            {{ trans('cruds.pihak.title_singular') }} {{ trans('global.list') }}
        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class=" table table-bordered table-striped table-hover datatable datatable-pihakPihaks">
                    <thead>
                        <tr>
                            <th width="10">

                            </th>
                            <th>
                                {{ trans('cruds.pihak.fields.id') }}
                            </th>
                            <th>
                                {{ trans('cruds.pihak.fields.bilangan') }}
                            </th>
                            <th>
                                {{ trans('cruds.pihak.fields.pihak') }}
                            </th>
                            <th>
                                {{ trans('cruds.bilangan.fields.bilangan') }}
                            </th>
                            <th>
                                {{ trans('cruds.pihak.fields.nama_peringkat_bayaran') }}
                            </th>
                            <th>
                                {{ trans('cruds.pihak.fields.jumlah_bayaran') }}
                            </th>
                            <th>
                                {{ trans('cruds.pihak.fields.tarikh') }}
                            </th>
                            <th>
                                {{ trans('cruds.pihak.fields.status_bayaran') }}
                            </th>
                            <th>
                                {{ trans('cruds.pihak.fields.tarikh_sebenar') }}
                            </th>
                            <th>
                                &nbsp;
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($pihaks as $key => $pihak)
                            <tr data-entry-id="{{ $pihak->id }}">
                                <td>

                                </td>
                                <td>
                                    {{ $pihak->id ?? '' }}
                                </td>
                                <td>
                                    {{ $pihak->bilangan->bilangan ?? '' }}
                                </td>
                                <td>
                                    {{ $pihak->pihak->pihak ?? '' }}
                                </td>
                                <td>
                                    {{ $pihak->pihak->bilangan ?? '' }}
                                </td>
                                <td>
                                    {{ $pihak->nama_peringkat_bayaran ?? '' }}
                                </td>
                                <td>
                                    {{ $pihak->jumlah_bayaran ?? '' }}
                                </td>
                                <td>
                                    {{ $pihak->tarikh ?? '' }}
                                </td>
                                <td>
                                    {{ App\Models\Pihak::STATUS_BAYARAN_SELECT[$pihak->status_bayaran] ?? '' }}
                                </td>
                                <td>
                                    {{ $pihak->tarikh_sebenar ?? '' }}
                                </td>
                                <td>
                                    @can('pihak_show')
                                        <a class="btn btn-xs btn-primary" href="{{ route('admin.pihaks.show', $pihak->id) }}">
                                            {{ trans('global.view') }}
                                        </a>
                                    @endcan

                                    @can('pihak_edit')
                                        <a class="btn btn-xs btn-info" href="{{ route('admin.pihaks.edit', $pihak->id) }}">
                                            {{ trans('global.edit') }}
                                        </a>
                                    @endcan

                                    @can('pihak_delete')
                                        <form action="{{ route('admin.pihaks.destroy', $pihak->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                            <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                        </form>
                                    @endcan

                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('pihak_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.pihaks.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-pihakPihaks:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection