@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.isu.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.isus.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label for="perkara">{{ trans('cruds.isu.fields.perkara') }}</label>
                <input class="form-control {{ $errors->has('perkara') ? 'is-invalid' : '' }}" type="text" name="perkara" id="perkara" value="{{ old('perkara', '') }}">
                @if($errors->has('perkara'))
                    <span class="text-danger">{{ $errors->first('perkara') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.isu.fields.perkara_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="penyelesaian">{{ trans('cruds.isu.fields.penyelesaian') }}</label>
                <textarea class="form-control ckeditor {{ $errors->has('penyelesaian') ? 'is-invalid' : '' }}" name="penyelesaian" id="penyelesaian">{!! old('penyelesaian') !!}</textarea>
                @if($errors->has('penyelesaian'))
                    <span class="text-danger">{{ $errors->first('penyelesaian') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.isu.fields.penyelesaian_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection

@section('scripts')
<script>
    $(document).ready(function () {
  function SimpleUploadAdapter(editor) {
    editor.plugins.get('FileRepository').createUploadAdapter = function(loader) {
      return {
        upload: function() {
          return loader.file
            .then(function (file) {
              return new Promise(function(resolve, reject) {
                // Init request
                var xhr = new XMLHttpRequest();
                xhr.open('POST', '{{ route('admin.isus.storeCKEditorImages') }}', true);
                xhr.setRequestHeader('x-csrf-token', window._token);
                xhr.setRequestHeader('Accept', 'application/json');
                xhr.responseType = 'json';

                // Init listeners
                var genericErrorText = `Couldn't upload file: ${ file.name }.`;
                xhr.addEventListener('error', function() { reject(genericErrorText) });
                xhr.addEventListener('abort', function() { reject() });
                xhr.addEventListener('load', function() {
                  var response = xhr.response;

                  if (!response || xhr.status !== 201) {
                    return reject(response && response.message ? `${genericErrorText}\n${xhr.status} ${response.message}` : `${genericErrorText}\n ${xhr.status} ${xhr.statusText}`);
                  }

                  $('form').append('<input type="hidden" name="ck-media[]" value="' + response.id + '">');

                  resolve({ default: response.url });
                });

                if (xhr.upload) {
                  xhr.upload.addEventListener('progress', function(e) {
                    if (e.lengthComputable) {
                      loader.uploadTotal = e.total;
                      loader.uploaded = e.loaded;
                    }
                  });
                }

                // Send request
                var data = new FormData();
                data.append('upload', file);
                data.append('crud_id', '{{ $isu->id ?? 0 }}');
                xhr.send(data);
              });
            })
        }
      };
    }
  }

  var allEditors = document.querySelectorAll('.ckeditor');
  for (var i = 0; i < allEditors.length; ++i) {
    ClassicEditor.create(
      allEditors[i], {
        extraPlugins: [SimpleUploadAdapter]
      }
    );
  }
});
</script>

@endsection