@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.kategoriBilangan.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.kategori-bilangans.update", [$kategoriBilangan->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label class="required" for="bilangan">{{ trans('cruds.kategoriBilangan.fields.bilangan') }}</label>
                <input class="form-control {{ $errors->has('bilangan') ? 'is-invalid' : '' }}" type="number" name="bilangan" id="bilangan" value="{{ old('bilangan', $kategoriBilangan->bilangan) }}" step="1" required>
                @if($errors->has('bilangan'))
                    <span class="text-danger">{{ $errors->first('bilangan') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.kategoriBilangan.fields.bilangan_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection