<div class="m-3">
    @can('rekod_pulangan_create')
        <div style="margin-bottom: 10px;" class="row">
            <div class="col-lg-12">
                <a class="btn btn-success" href="{{ route('admin.rekod-pulangans.create') }}">
                    {{ trans('global.add') }} {{ trans('cruds.rekodPulangan.title_singular') }}
                </a>
            </div>
        </div>
    @endcan
    <div class="card">
        <div class="card-header">
            {{ trans('cruds.rekodPulangan.title_singular') }} {{ trans('global.list') }}
        </div>

        <div class="card-body">
            <div class="table-responsive">
                <table class=" table table-bordered table-striped table-hover datatable datatable-pihakRekodPulangans">
                    <thead>
                        <tr>
                            <th width="10">

                            </th>
                            <th>
                                {{ trans('cruds.rekodPulangan.fields.id') }}
                            </th>
                            <th>
                                {{ trans('cruds.rekodPulangan.fields.bil') }}
                            </th>
                            <th>
                                {{ trans('cruds.rekodPulangan.fields.perkara') }}
                            </th>
                            <th>
                                {{ trans('cruds.rekodPulangan.fields.pihak') }}
                            </th>
                            <th>
                                {{ trans('cruds.rekodPulangan.fields.tarikh') }}
                            </th>
                            <th>
                                {{ trans('cruds.rekodPulangan.fields.jumlah_anggaran') }}
                            </th>
                            <th>
                                {{ trans('cruds.rekodPulangan.fields.status_bayaran') }}
                            </th>
                            <th>
                                {{ trans('cruds.rekodPulangan.fields.tarikh_bayaran') }}
                            </th>
                            <th>
                                &nbsp;
                            </th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach($rekodPulangans as $key => $rekodPulangan)
                            <tr data-entry-id="{{ $rekodPulangan->id }}">
                                <td>

                                </td>
                                <td>
                                    {{ $rekodPulangan->id ?? '' }}
                                </td>
                                <td>
                                    {{ $rekodPulangan->bil->bilangan ?? '' }}
                                </td>
                                <td>
                                    {{ $rekodPulangan->perkara ?? '' }}
                                </td>
                                <td>
                                    {{ $rekodPulangan->pihak->nama_pihak ?? '' }}
                                </td>
                                <td>
                                    {{ $rekodPulangan->tarikh ?? '' }}
                                </td>
                                <td>
                                    {{ $rekodPulangan->jumlah_anggaran ?? '' }}
                                </td>
                                <td>
                                    {{ App\Models\RekodPulangan::STATUS_BAYARAN_SELECT[$rekodPulangan->status_bayaran] ?? '' }}
                                </td>
                                <td>
                                    {{ $rekodPulangan->tarikh_bayaran ?? '' }}
                                </td>
                                <td>
                                    @can('rekod_pulangan_show')
                                        <a class="btn btn-xs btn-primary" href="{{ route('admin.rekod-pulangans.show', $rekodPulangan->id) }}">
                                            {{ trans('global.view') }}
                                        </a>
                                    @endcan

                                    @can('rekod_pulangan_edit')
                                        <a class="btn btn-xs btn-info" href="{{ route('admin.rekod-pulangans.edit', $rekodPulangan->id) }}">
                                            {{ trans('global.edit') }}
                                        </a>
                                    @endcan

                                    @can('rekod_pulangan_delete')
                                        <form action="{{ route('admin.rekod-pulangans.destroy', $rekodPulangan->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                            <input type="hidden" name="_method" value="DELETE">
                                            <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                            <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                        </form>
                                    @endcan

                                </td>

                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('rekod_pulangan_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.rekod-pulangans.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-pihakRekodPulangans:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection