@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.komponenPembangunan.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.komponen-pembangunans.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label for="gambaran_komponen">{{ trans('cruds.komponenPembangunan.fields.gambaran_komponen') }}</label>
                <div class="needsclick dropzone {{ $errors->has('gambaran_komponen') ? 'is-invalid' : '' }}" id="gambaran_komponen-dropzone">
                </div>
                @if($errors->has('gambaran_komponen'))
                    <span class="text-danger">{{ $errors->first('gambaran_komponen') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.komponenPembangunan.fields.gambaran_komponen_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="gambar_semasa_projek">{{ trans('cruds.komponenPembangunan.fields.gambar_semasa_projek') }}</label>
                <div class="needsclick dropzone {{ $errors->has('gambar_semasa_projek') ? 'is-invalid' : '' }}" id="gambar_semasa_projek-dropzone">
                </div>
                @if($errors->has('gambar_semasa_projek'))
                    <span class="text-danger">{{ $errors->first('gambar_semasa_projek') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.komponenPembangunan.fields.gambar_semasa_projek_helper') }}</span>
            </div>
            <div class="form-group">
                <label>{{ trans('cruds.komponenPembangunan.fields.fasa') }}</label>
                <select class="form-control {{ $errors->has('fasa') ? 'is-invalid' : '' }}" name="fasa" id="fasa">
                    <option value disabled {{ old('fasa', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                    @foreach(App\Models\KomponenPembangunan::FASA_SELECT as $key => $label)
                        <option value="{{ $key }}" {{ old('fasa', '') === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                    @endforeach
                </select>
                @if($errors->has('fasa'))
                    <span class="text-danger">{{ $errors->first('fasa') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.komponenPembangunan.fields.fasa_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="komponen">{{ trans('cruds.komponenPembangunan.fields.komponen') }}</label>
                <input class="form-control {{ $errors->has('komponen') ? 'is-invalid' : '' }}" type="text" name="komponen" id="komponen" value="{{ old('komponen', '') }}" required>
                @if($errors->has('komponen'))
                    <span class="text-danger">{{ $errors->first('komponen') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.komponenPembangunan.fields.komponen_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="keluasan_lot">{{ trans('cruds.komponenPembangunan.fields.keluasan_lot') }}</label>
                <input class="form-control {{ $errors->has('keluasan_lot') ? 'is-invalid' : '' }}" type="text" name="keluasan_lot" id="keluasan_lot" value="{{ old('keluasan_lot', '') }}" required>
                @if($errors->has('keluasan_lot'))
                    <span class="text-danger">{{ $errors->first('keluasan_lot') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.komponenPembangunan.fields.keluasan_lot_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="keluasan_bangunan">{{ trans('cruds.komponenPembangunan.fields.keluasan_bangunan') }}</label>
                <input class="form-control {{ $errors->has('keluasan_bangunan') ? 'is-invalid' : '' }}" type="text" name="keluasan_bangunan" id="keluasan_bangunan" value="{{ old('keluasan_bangunan', '') }}" required>
                @if($errors->has('keluasan_bangunan'))
                    <span class="text-danger">{{ $errors->first('keluasan_bangunan') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.komponenPembangunan.fields.keluasan_bangunan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="harga">{{ trans('cruds.komponenPembangunan.fields.harga') }}</label>
                <input class="form-control {{ $errors->has('harga') ? 'is-invalid' : '' }}" type="number" name="harga" id="harga" value="{{ old('harga', '') }}" step="0.01">
                @if($errors->has('harga'))
                    <span class="text-danger">{{ $errors->first('harga') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.komponenPembangunan.fields.harga_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="jumlah_unit">{{ trans('cruds.komponenPembangunan.fields.jumlah_unit') }}</label>
                <input class="form-control {{ $errors->has('jumlah_unit') ? 'is-invalid' : '' }}" type="number" name="jumlah_unit" id="jumlah_unit" value="{{ old('jumlah_unit', '') }}" step="1">
                @if($errors->has('jumlah_unit'))
                    <span class="text-danger">{{ $errors->first('jumlah_unit') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.komponenPembangunan.fields.jumlah_unit_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection

@section('scripts')
<script>
    var uploadedGambaranKomponenMap = {}
Dropzone.options.gambaranKomponenDropzone = {
    url: '{{ route('admin.komponen-pembangunans.storeMedia') }}',
    maxFilesize: 50, // MB
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 50
    },
    success: function (file, response) {
      $('form').append('<input type="hidden" name="gambaran_komponen[]" value="' + response.name + '">')
      uploadedGambaranKomponenMap[file.name] = response.name
    },
    removedfile: function (file) {
      file.previewElement.remove()
      var name = ''
      if (typeof file.file_name !== 'undefined') {
        name = file.file_name
      } else {
        name = uploadedGambaranKomponenMap[file.name]
      }
      $('form').find('input[name="gambaran_komponen[]"][value="' + name + '"]').remove()
    },
    init: function () {
@if(isset($komponenPembangunan) && $komponenPembangunan->gambaran_komponen)
          var files =
            {!! json_encode($komponenPembangunan->gambaran_komponen) !!}
              for (var i in files) {
              var file = files[i]
              this.options.addedfile.call(this, file)
              file.previewElement.classList.add('dz-complete')
              $('form').append('<input type="hidden" name="gambaran_komponen[]" value="' + file.file_name + '">')
            }
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}
</script>
<script>
    var uploadedGambarSemasaProjekMap = {}
Dropzone.options.gambarSemasaProjekDropzone = {
    url: '{{ route('admin.komponen-pembangunans.storeMedia') }}',
    maxFilesize: 100, // MB
    acceptedFiles: '.jpeg,.jpg,.png,.gif',
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 100,
      width: 4096,
      height: 4096
    },
    success: function (file, response) {
      $('form').append('<input type="hidden" name="gambar_semasa_projek[]" value="' + response.name + '">')
      uploadedGambarSemasaProjekMap[file.name] = response.name
    },
    removedfile: function (file) {
      console.log(file)
      file.previewElement.remove()
      var name = ''
      if (typeof file.file_name !== 'undefined') {
        name = file.file_name
      } else {
        name = uploadedGambarSemasaProjekMap[file.name]
      }
      $('form').find('input[name="gambar_semasa_projek[]"][value="' + name + '"]').remove()
    },
    init: function () {
@if(isset($komponenPembangunan) && $komponenPembangunan->gambar_semasa_projek)
      var files = {!! json_encode($komponenPembangunan->gambar_semasa_projek) !!}
          for (var i in files) {
          var file = files[i]
          this.options.addedfile.call(this, file)
          this.options.thumbnail.call(this, file, file.preview ?? file.preview_url)
          file.previewElement.classList.add('dz-complete')
          $('form').append('<input type="hidden" name="gambar_semasa_projek[]" value="' + file.file_name + '">')
        }
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}

</script>
@endsection