@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.maklumatPerunding.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.maklumat-perundings.update", [$maklumatPerunding->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label class="required" for="nama_syarikat_perunding_arkitek">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_arkitek') }}</label>
                <input class="form-control {{ $errors->has('nama_syarikat_perunding_arkitek') ? 'is-invalid' : '' }}" type="text" name="nama_syarikat_perunding_arkitek" id="nama_syarikat_perunding_arkitek" value="{{ old('nama_syarikat_perunding_arkitek', $maklumatPerunding->nama_syarikat_perunding_arkitek) }}" required>
                @if($errors->has('nama_syarikat_perunding_arkitek'))
                    <span class="text-danger">{{ $errors->first('nama_syarikat_perunding_arkitek') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_arkitek_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="nama_syarikat_perunding_sivil_struktur">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_sivil_struktur') }}</label>
                <input class="form-control {{ $errors->has('nama_syarikat_perunding_sivil_struktur') ? 'is-invalid' : '' }}" type="text" name="nama_syarikat_perunding_sivil_struktur" id="nama_syarikat_perunding_sivil_struktur" value="{{ old('nama_syarikat_perunding_sivil_struktur', $maklumatPerunding->nama_syarikat_perunding_sivil_struktur) }}" required>
                @if($errors->has('nama_syarikat_perunding_sivil_struktur'))
                    <span class="text-danger">{{ $errors->first('nama_syarikat_perunding_sivil_struktur') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_sivil_struktur_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="nama_syarikat_perunding_mekanikal_elektrikal">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_mekanikal_elektrikal') }}</label>
                <input class="form-control {{ $errors->has('nama_syarikat_perunding_mekanikal_elektrikal') ? 'is-invalid' : '' }}" type="text" name="nama_syarikat_perunding_mekanikal_elektrikal" id="nama_syarikat_perunding_mekanikal_elektrikal" value="{{ old('nama_syarikat_perunding_mekanikal_elektrikal', $maklumatPerunding->nama_syarikat_perunding_mekanikal_elektrikal) }}">
                @if($errors->has('nama_syarikat_perunding_mekanikal_elektrikal'))
                    <span class="text-danger">{{ $errors->first('nama_syarikat_perunding_mekanikal_elektrikal') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_mekanikal_elektrikal_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="nama_syarikat_perunding_juru_ukur_tanah">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_juru_ukur_tanah') }}</label>
                <input class="form-control {{ $errors->has('nama_syarikat_perunding_juru_ukur_tanah') ? 'is-invalid' : '' }}" type="text" name="nama_syarikat_perunding_juru_ukur_tanah" id="nama_syarikat_perunding_juru_ukur_tanah" value="{{ old('nama_syarikat_perunding_juru_ukur_tanah', $maklumatPerunding->nama_syarikat_perunding_juru_ukur_tanah) }}">
                @if($errors->has('nama_syarikat_perunding_juru_ukur_tanah'))
                    <span class="text-danger">{{ $errors->first('nama_syarikat_perunding_juru_ukur_tanah') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_juru_ukur_tanah_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="nama_syarikat_perunding_juru_ukur_bahan">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_juru_ukur_bahan') }}</label>
                <input class="form-control {{ $errors->has('nama_syarikat_perunding_juru_ukur_bahan') ? 'is-invalid' : '' }}" type="text" name="nama_syarikat_perunding_juru_ukur_bahan" id="nama_syarikat_perunding_juru_ukur_bahan" value="{{ old('nama_syarikat_perunding_juru_ukur_bahan', $maklumatPerunding->nama_syarikat_perunding_juru_ukur_bahan) }}">
                @if($errors->has('nama_syarikat_perunding_juru_ukur_bahan'))
                    <span class="text-danger">{{ $errors->first('nama_syarikat_perunding_juru_ukur_bahan') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_juru_ukur_bahan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="nama_syarikat_perunding_arkitek_landskap">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_arkitek_landskap') }}</label>
                <input class="form-control {{ $errors->has('nama_syarikat_perunding_arkitek_landskap') ? 'is-invalid' : '' }}" type="text" name="nama_syarikat_perunding_arkitek_landskap" id="nama_syarikat_perunding_arkitek_landskap" value="{{ old('nama_syarikat_perunding_arkitek_landskap', $maklumatPerunding->nama_syarikat_perunding_arkitek_landskap) }}">
                @if($errors->has('nama_syarikat_perunding_arkitek_landskap'))
                    <span class="text-danger">{{ $errors->first('nama_syarikat_perunding_arkitek_landskap') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatPerunding.fields.nama_syarikat_perunding_arkitek_landskap_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection