@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.maklumatProject.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.maklumat-projects.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label class="required" for="lot">{{ trans('cruds.maklumatProject.fields.lot') }}</label>
                <input class="form-control {{ $errors->has('lot') ? 'is-invalid' : '' }}" type="text" name="lot" id="lot" value="{{ old('lot', '') }}" required>
                @if($errors->has('lot'))
                    <span class="text-danger">{{ $errors->first('lot') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatProject.fields.lot_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="mukim">{{ trans('cruds.maklumatProject.fields.mukim') }}</label>
                <input class="form-control {{ $errors->has('mukim') ? 'is-invalid' : '' }}" type="text" name="mukim" id="mukim" value="{{ old('mukim', '') }}" required>
                @if($errors->has('mukim'))
                    <span class="text-danger">{{ $errors->first('mukim') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatProject.fields.mukim_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required">{{ trans('cruds.maklumatProject.fields.daerah') }}</label>
                <select class="form-control {{ $errors->has('daerah') ? 'is-invalid' : '' }}" name="daerah" id="daerah" required>
                    <option value disabled {{ old('daerah', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                    @foreach(App\Models\MaklumatProject::DAERAH_SELECT as $key => $label)
                        <option value="{{ $key }}" {{ old('daerah', '') === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                    @endforeach
                </select>
                @if($errors->has('daerah'))
                    <span class="text-danger">{{ $errors->first('daerah') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatProject.fields.daerah_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="keluasan">{{ trans('cruds.maklumatProject.fields.keluasan') }}</label>
                <input class="form-control {{ $errors->has('keluasan') ? 'is-invalid' : '' }}" type="text" name="keluasan" id="keluasan" value="{{ old('keluasan', '') }}" required>
                @if($errors->has('keluasan'))
                    <span class="text-danger">{{ $errors->first('keluasan') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatProject.fields.keluasan_helper') }}</span>
            </div>
            <div class="form-group">
                <label>{{ trans('cruds.maklumatProject.fields.kategori_penggunaan_tanah') }}</label>
                <select class="form-control {{ $errors->has('kategori_penggunaan_tanah') ? 'is-invalid' : '' }}" name="kategori_penggunaan_tanah" id="kategori_penggunaan_tanah">
                    <option value disabled {{ old('kategori_penggunaan_tanah', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                    @foreach(App\Models\MaklumatProject::KATEGORI_PENGGUNAAN_TANAH_SELECT as $key => $label)
                        <option value="{{ $key }}" {{ old('kategori_penggunaan_tanah', '') === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                    @endforeach
                </select>
                @if($errors->has('kategori_penggunaan_tanah'))
                    <span class="text-danger">{{ $errors->first('kategori_penggunaan_tanah') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatProject.fields.kategori_penggunaan_tanah_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="sekatan_sekatan_penting">{{ trans('cruds.maklumatProject.fields.sekatan_sekatan_penting') }}</label>
                <textarea class="form-control {{ $errors->has('sekatan_sekatan_penting') ? 'is-invalid' : '' }}" name="sekatan_sekatan_penting" id="sekatan_sekatan_penting">{{ old('sekatan_sekatan_penting') }}</textarea>
                @if($errors->has('sekatan_sekatan_penting'))
                    <span class="text-danger">{{ $errors->first('sekatan_sekatan_penting') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatProject.fields.sekatan_sekatan_penting_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="tarikh_pa">{{ trans('cruds.maklumatProject.fields.tarikh_pa') }}</label>
                <input class="form-control date {{ $errors->has('tarikh_pa') ? 'is-invalid' : '' }}" type="text" name="tarikh_pa" id="tarikh_pa" value="{{ old('tarikh_pa') }}" required>
                @if($errors->has('tarikh_pa'))
                    <span class="text-danger">{{ $errors->first('tarikh_pa') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatProject.fields.tarikh_pa_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="pelan_kunci">{{ trans('cruds.maklumatProject.fields.pelan_kunci') }}</label>
                <div class="needsclick dropzone {{ $errors->has('pelan_kunci') ? 'is-invalid' : '' }}" id="pelan_kunci-dropzone">
                </div>
                @if($errors->has('pelan_kunci'))
                    <span class="text-danger">{{ $errors->first('pelan_kunci') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatProject.fields.pelan_kunci_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="pelan_lokasi">{{ trans('cruds.maklumatProject.fields.pelan_lokasi') }}</label>
                <div class="needsclick dropzone {{ $errors->has('pelan_lokasi') ? 'is-invalid' : '' }}" id="pelan_lokasi-dropzone">
                </div>
                @if($errors->has('pelan_lokasi'))
                    <span class="text-danger">{{ $errors->first('pelan_lokasi') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatProject.fields.pelan_lokasi_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection

@section('scripts')
<script>
    var uploadedPelanKunciMap = {}
Dropzone.options.pelanKunciDropzone = {
    url: '{{ route('admin.maklumat-projects.storeMedia') }}',
    maxFilesize: 50, // MB
    acceptedFiles: '.jpeg,.jpg,.png,.gif',
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 50,
      width: 8096,
      height: 8096
    },
    success: function (file, response) {
      $('form').append('<input type="hidden" name="pelan_kunci[]" value="' + response.name + '">')
      uploadedPelanKunciMap[file.name] = response.name
    },
    removedfile: function (file) {
      console.log(file)
      file.previewElement.remove()
      var name = ''
      if (typeof file.file_name !== 'undefined') {
        name = file.file_name
      } else {
        name = uploadedPelanKunciMap[file.name]
      }
      $('form').find('input[name="pelan_kunci[]"][value="' + name + '"]').remove()
    },
    init: function () {
@if(isset($maklumatProject) && $maklumatProject->pelan_kunci)
      var files = {!! json_encode($maklumatProject->pelan_kunci) !!}
          for (var i in files) {
          var file = files[i]
          this.options.addedfile.call(this, file)
          this.options.thumbnail.call(this, file, file.preview ?? file.preview_url)
          file.previewElement.classList.add('dz-complete')
          $('form').append('<input type="hidden" name="pelan_kunci[]" value="' + file.file_name + '">')
        }
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}

</script>
<script>
    var uploadedPelanLokasiMap = {}
Dropzone.options.pelanLokasiDropzone = {
    url: '{{ route('admin.maklumat-projects.storeMedia') }}',
    maxFilesize: 50, // MB
    acceptedFiles: '.jpeg,.jpg,.png,.gif',
    addRemoveLinks: true,
    headers: {
      'X-CSRF-TOKEN': "{{ csrf_token() }}"
    },
    params: {
      size: 50,
      width: 8096,
      height: 8096
    },
    success: function (file, response) {
      $('form').append('<input type="hidden" name="pelan_lokasi[]" value="' + response.name + '">')
      uploadedPelanLokasiMap[file.name] = response.name
    },
    removedfile: function (file) {
      console.log(file)
      file.previewElement.remove()
      var name = ''
      if (typeof file.file_name !== 'undefined') {
        name = file.file_name
      } else {
        name = uploadedPelanLokasiMap[file.name]
      }
      $('form').find('input[name="pelan_lokasi[]"][value="' + name + '"]').remove()
    },
    init: function () {
@if(isset($maklumatProject) && $maklumatProject->pelan_lokasi)
      var files = {!! json_encode($maklumatProject->pelan_lokasi) !!}
          for (var i in files) {
          var file = files[i]
          this.options.addedfile.call(this, file)
          this.options.thumbnail.call(this, file, file.preview ?? file.preview_url)
          file.previewElement.classList.add('dz-complete')
          $('form').append('<input type="hidden" name="pelan_lokasi[]" value="' + file.file_name + '">')
        }
@endif
    },
     error: function (file, response) {
         if ($.type(response) === 'string') {
             var message = response //dropzone sends it's own error messages in string
         } else {
             var message = response.errors.file
         }
         file.previewElement.classList.add('dz-error')
         _ref = file.previewElement.querySelectorAll('[data-dz-errormessage]')
         _results = []
         for (_i = 0, _len = _ref.length; _i < _len; _i++) {
             node = _ref[_i]
             _results.push(node.textContent = message)
         }

         return _results
     }
}

</script>
@endsection