@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.show') }} {{ trans('cruds.maklumatProject.title') }}
    </div>

    <div class="card-body">
        <div class="form-group">
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.maklumat-projects.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
            <table class="table table-bordered table-striped">
                <tbody>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.id') }}
                        </th>
                        <td>
                            {{ $maklumatProject->id }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.lot') }}
                        </th>
                        <td>
                            {{ $maklumatProject->lot }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.mukim') }}
                        </th>
                        <td>
                            {{ $maklumatProject->mukim }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.daerah') }}
                        </th>
                        <td>
                            {{ App\Models\MaklumatProject::DAERAH_SELECT[$maklumatProject->daerah] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.keluasan') }}
                        </th>
                        <td>
                            {{ $maklumatProject->keluasan }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.kategori_penggunaan_tanah') }}
                        </th>
                        <td>
                            {{ App\Models\MaklumatProject::KATEGORI_PENGGUNAAN_TANAH_SELECT[$maklumatProject->kategori_penggunaan_tanah] ?? '' }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.sekatan_sekatan_penting') }}
                        </th>
                        <td>
                            {{ $maklumatProject->sekatan_sekatan_penting }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.tarikh_pa') }}
                        </th>
                        <td>
                            {{ $maklumatProject->tarikh_pa }}
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.pelan_kunci') }}
                        </th>
                        <td>
                            @foreach($maklumatProject->pelan_kunci as $key => $media)
                                <a href="{{ $media->getUrl() }}" target="_blank" style="display: inline-block">
                                    <img src="{{ $media->getUrl('thumb') }}">
                                </a>
                            @endforeach
                        </td>
                    </tr>
                    <tr>
                        <th>
                            {{ trans('cruds.maklumatProject.fields.pelan_lokasi') }}
                        </th>
                        <td>
                            @foreach($maklumatProject->pelan_lokasi as $key => $media)
                                <a href="{{ $media->getUrl() }}" target="_blank" style="display: inline-block">
                                    <img src="{{ $media->getUrl('thumb') }}">
                                </a>
                            @endforeach
                        </td>
                    </tr>
                </tbody>
            </table>
            <div class="form-group">
                <a class="btn btn-default" href="{{ route('admin.maklumat-projects.index') }}">
                    {{ trans('global.back_to_list') }}
                </a>
            </div>
        </div>
    </div>
</div>



@endsection