@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.maklumatRakanUsahasama.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.maklumat-rakan-usahasamas.update", [$maklumatRakanUsahasama->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label class="required" for="nama_syarikat">{{ trans('cruds.maklumatRakanUsahasama.fields.nama_syarikat') }}</label>
                <input class="form-control {{ $errors->has('nama_syarikat') ? 'is-invalid' : '' }}" type="text" name="nama_syarikat" id="nama_syarikat" value="{{ old('nama_syarikat', $maklumatRakanUsahasama->nama_syarikat) }}" required>
                @if($errors->has('nama_syarikat'))
                    <span class="text-danger">{{ $errors->first('nama_syarikat') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatRakanUsahasama.fields.nama_syarikat_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="tarikh_perjanjian_asal">{{ trans('cruds.maklumatRakanUsahasama.fields.tarikh_perjanjian_asal') }}</label>
                <input class="form-control date {{ $errors->has('tarikh_perjanjian_asal') ? 'is-invalid' : '' }}" type="text" name="tarikh_perjanjian_asal" id="tarikh_perjanjian_asal" value="{{ old('tarikh_perjanjian_asal', $maklumatRakanUsahasama->tarikh_perjanjian_asal) }}" required>
                @if($errors->has('tarikh_perjanjian_asal'))
                    <span class="text-danger">{{ $errors->first('tarikh_perjanjian_asal') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatRakanUsahasama.fields.tarikh_perjanjian_asal_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="tarikh_perjanjian_tambahan">{{ trans('cruds.maklumatRakanUsahasama.fields.tarikh_perjanjian_tambahan') }}</label>
                <input class="form-control date {{ $errors->has('tarikh_perjanjian_tambahan') ? 'is-invalid' : '' }}" type="text" name="tarikh_perjanjian_tambahan" id="tarikh_perjanjian_tambahan" value="{{ old('tarikh_perjanjian_tambahan', $maklumatRakanUsahasama->tarikh_perjanjian_tambahan) }}">
                @if($errors->has('tarikh_perjanjian_tambahan'))
                    <span class="text-danger">{{ $errors->first('tarikh_perjanjian_tambahan') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.maklumatRakanUsahasama.fields.tarikh_perjanjian_tambahan_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection