@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.tempohPerlaksanaanProjek.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.tempoh-perlaksanaan-projeks.update", [$tempohPerlaksanaanProjek->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label for="perkara_pembangunan">{{ trans('cruds.tempohPerlaksanaanProjek.fields.perkara_pembangunan') }}</label>
                <input class="form-control {{ $errors->has('perkara_pembangunan') ? 'is-invalid' : '' }}" type="text" name="perkara_pembangunan" id="perkara_pembangunan" value="{{ old('perkara_pembangunan', $tempohPerlaksanaanProjek->perkara_pembangunan) }}">
                @if($errors->has('perkara_pembangunan'))
                    <span class="text-danger">{{ $errors->first('perkara_pembangunan') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.tempohPerlaksanaanProjek.fields.perkara_pembangunan_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="tarikh_mula">{{ trans('cruds.tempohPerlaksanaanProjek.fields.tarikh_mula') }}</label>
                <input class="form-control date {{ $errors->has('tarikh_mula') ? 'is-invalid' : '' }}" type="text" name="tarikh_mula" id="tarikh_mula" value="{{ old('tarikh_mula', $tempohPerlaksanaanProjek->tarikh_mula) }}" required>
                @if($errors->has('tarikh_mula'))
                    <span class="text-danger">{{ $errors->first('tarikh_mula') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.tempohPerlaksanaanProjek.fields.tarikh_mula_helper') }}</span>
            </div>
            <div class="form-group">
                <label class="required" for="anggaran_tarikh_siap">{{ trans('cruds.tempohPerlaksanaanProjek.fields.anggaran_tarikh_siap') }}</label>
                <input class="form-control date {{ $errors->has('anggaran_tarikh_siap') ? 'is-invalid' : '' }}" type="text" name="anggaran_tarikh_siap" id="anggaran_tarikh_siap" value="{{ old('anggaran_tarikh_siap', $tempohPerlaksanaanProjek->anggaran_tarikh_siap) }}" required>
                @if($errors->has('anggaran_tarikh_siap'))
                    <span class="text-danger">{{ $errors->first('anggaran_tarikh_siap') }}</span>
                @endif
                <span class="help-block">{{ trans('cruds.tempohPerlaksanaanProjek.fields.anggaran_tarikh_siap_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection