<?php

Route::group(['prefix' => 'v1', 'as' => 'api.', 'namespace' => 'Api\V1\Admin', 'middleware' => ['auth:sanctum']], function () {
    // Task Status
    Route::apiResource('task-statuses', 'TaskStatusApiController');

    // Task
    Route::post('tasks/media', 'TaskApiController@storeMedia')->name('tasks.storeMedia');
    Route::apiResource('tasks', 'TaskApiController');

    // Maklumat Project
    Route::post('maklumat-projects/media', 'MaklumatProjectApiController@storeMedia')->name('maklumat-projects.storeMedia');
    Route::apiResource('maklumat-projects', 'MaklumatProjectApiController');

    // Maklumat Rakan Usahasama
    Route::apiResource('maklumat-rakan-usahasamas', 'MaklumatRakanUsahasamaApiController');

    // Maklumat Perunding
    Route::apiResource('maklumat-perundings', 'MaklumatPerundingApiController');

    // Tempoh Perlaksanaan Projek
    Route::apiResource('tempoh-perlaksanaan-projeks', 'TempohPerlaksanaanProjekApiController');

    // Komponen Pembangunan
    Route::post('komponen-pembangunans/media', 'KomponenPembangunanApiController@storeMedia')->name('komponen-pembangunans.storeMedia');
    Route::apiResource('komponen-pembangunans', 'KomponenPembangunanApiController');

    // Isu
    Route::post('isus/media', 'IsuApiController@storeMedia')->name('isus.storeMedia');
    Route::apiResource('isus', 'IsuApiController');

    // Kategori Bilangan
    Route::apiResource('kategori-bilangans', 'KategoriBilanganApiController');

    // Kategori Pihak
    Route::apiResource('kategori-pihaks', 'KategoriPihakApiController');

    // Rekod Pulangan
    Route::apiResource('rekod-pulangans', 'RekodPulanganApiController');
});
